--WIP

Sprite = {}

  function Sprite.New(Y, X, W, H, TextureID, Visible, AnimationTable)
    local self = {}

    self.y = Y
    self.x = X
    self.w = W
    self.h = H
    self.TextureID = TextureID
    self.Visible = Visible
    self.AnimationTable = AnimationTable

    --function self:Render(Renderer)
      --self._LastFrame = self._CurrentFrame

      --if not AnimationTable then
        --Renderer:copy(Forest2D.TextureList[TextureID], nil, self)
      --else -- TO DO: make animations render

        --Renderer:copy(Forest2D.TextureList[AnimationTable.Indicies[1]], nil, self)

        --if SDL.getTicks() >= (self._OldTicks + AnimationTable.Speed) then
            --self._CurrentFrame = self._CurrentFrame + 1
        --end
        --if self._LastFrame < self._CurrentFrame then
            --self._OldTicks = SDL.getTicks()
        --end
        --print(self._CurrentFrame) -- debug
      --end
    --end

    return self
  end

return Sprite
